<?php

namespace Module\Src;

use Dever;

class Sql
{
	private $sql;
	private $method;
	private $bind;
	public $data;
	public function __construct($id, $sql, $method, $num)
	{
		$this->method($method);
		$this->db($sql);
		$this->bind();
		$this->limit($num);
		$this->result();
	}

	private function method($method)
	{
		$method = 'getMethod_' . $method;
		$this->method = $this->$method();
	}

	private function getMethod_1()
	{
		return 'fetchAll';
	}

	private function getMethod_2()
	{
		return 'fetch';
	}

	private function getMethod_3()
	{
		return 'rowCount';
	}

	private function getMethod_4()
	{
		return 'lastId';
	}

	private function getMethod_5()
	{
		return 'query';
	}

	private function db($sql)
	{
		$db = '';
		if (strpos($sql, ':')) {
			$temp = explode(':', $sql);
			$this->sql = $temp[1];
			$db = ':' . $temp[0];
		} else {
			$this->sql = $sql;
		}
		$this->db = Dever::db('module/info' . $db);
	}

	private function bind()
	{
		$pattern = '/\{(.*?)\}/i';
		preg_match_all($pattern, $this->sql, $matches);
		$this->bind = array();
		if (isset($matches[1]) && $matches[1]) {
			foreach ($matches[1] as $k => $v) {
				$default = '';
				$source = $v;
				if (strpos($v, '=')) {
					$temp = explode('=', $v);
					$v = $temp[0];
					$default = $temp[1];
				}
				$k = ':' . $v;
				$this->bind[$k] = Dever::input($v, $default);
				$this->sql = str_replace('{'.$source.'}', $k, $this->sql);
			}
		}
	}

	private function limit($num)
	{
		if ($num > 0 && !stripos($this->sql, 'limit')) {
			$this->sql .= ' limit 0,' . $num;
		}
	}

	private function result()
	{
		$this->data = $this->db->{$this->method}($this->sql, $this->bind);
	}
}
